using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Core.Service
{
    public interface ISysRoleAreaService
    {
        Task DeleteRoleAreaListByAreaCodeList(List<string> areaCodeList);
        Task DeleteRoleAreaListByRoleId(string roleId);
        Task<List<string>> GetRoleAreaCodeList(List<string> roleIdList);
        Task GrantArea(GrantAreaDataInput input);
    }
}
